Bug 734315 - [PATCH] libopcodes.a isn't built with -fPIC
Summary: [PATCH] libopcodes.a isn't built with -fPIC
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 05:07 UTC by Ricky Zhou
Modified: 2011-09-30 15:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 15:30:37 UTC


Attachments (Terms of Use)

Description Ricky Zhou 2011-08-30 05:07:50 UTC
libopcodes.a isn't built with -fPIC, which prevents people from linking it into a shared library (on x86_64, at least).

Here's a patch against the F15 branch which recompiles libopcodes.a with -fPIC, based off of what was done with libbfd.a and libiberty.a.

http://ricky.fedorapeople.org/binutils/0001-Rebuild-libopcodes.a-with-fPIC.patch

Comment 1 Ricky Zhou 2011-09-14 23:29:17 UTC
Ping, any update on this?

Comment 2 Ricky Zhou 2011-09-30 01:16:04 UTC
Ping, does the patch look reasonable?

Comment 3 Nick Clifton 2011-09-30 15:30:37 UTC
Hi Ricky

  Sorry for the very long delay in responding to this issue.  Your patch look reasonable and so I have applied it to the rawhide, F16 and F15 releases.

Cheers
  Nick


Note You need to log in before you can comment on or make changes to this bug.